require "spec_helper"

describe SpeachesController do
  describe "routing" do

    it "routes to #index" do
      get("/speaches").should route_to("speaches#index")
    end

    it "routes to #new" do
      get("/speaches/new").should route_to("speaches#new")
    end

    it "routes to #show" do
      get("/speaches/1").should route_to("speaches#show", :id => "1")
    end

    it "routes to #edit" do
      get("/speaches/1/edit").should route_to("speaches#edit", :id => "1")
    end

    it "routes to #create" do
      post("/speaches").should route_to("speaches#create")
    end

    it "routes to #update" do
      put("/speaches/1").should route_to("speaches#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/speaches/1").should route_to("speaches#destroy", :id => "1")
    end

  end
end
